### Signal

# Gtk DropTargetAsync::accept

#### Declaration

    gboolean
    accept (
      GtkDropTargetAsync* self,
      GdkDrop* drop,
      gpointer user_data
    )

#### Description [src]

Emitted on the drop site when a drop operation is about to begin.

If the drop is not accepted, `FALSE` will be returned and the drop target will ignore the drop. If `TRUE` is returned, the drop is accepted for now but may be rejected later via a call to `gtk_drop_target_async_reject_drop()` or ultimately by returning `FALSE` from a `GtkDropTargetAsync::drop` handler.

The default handler for this signal decides whether to accept the drop based on the formats provided by the `drop`.

If the decision whether the drop will be accepted or rejected needs further processing, such as inspecting the data, this function should return `TRUE` and proceed as is `drop` was accepted and if it decides to reject the drop later, it should call `gtk_drop_target_async_reject_drop()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`drop`

  Type: `GdkDrop`

  The `GdkDrop`

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if `drop` is accepted.